Debian Bug report logs - #180050
ITP: isync -- synchronize a local maildir with a remote IMAP4 mailbox

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Joey Hess <joeyh@debian.org>

Date: Thu, 6 Feb 2003 20:48:01 UTC

Owned by: Nicolas Boullis <nboullis@debian.org>

Severity: normal

Fixed in version isync/0.9.1-1

Done: Nicolas Boullis <nboullis@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#180050; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: isync -- synchronize a local maildir with a remote IMAP4 mailbox
Date: Thu, 6 Feb 2003 15:42:41 -0500
[Message part 1 (text/plain, inline)]
Package: wnpp
Version: unavailable; reported 2003-02-06
Severity: normal

I'm looking for someone who still uses isync and wants to maintain the
debian package. I switched to offlineimap soon after adopting isync and
fixing/forwarding all its bugs; now it has new bugs that I'm not in a 
position to work on. It also has a new upstream maintainer; this may
complicate getting the licence incompatability that is keeping it in
non-us resolved. Michael Elkins has accepted the need to change the
license and was going to do so in the next upstream release, but he
never made said release..

The new upstream site for isync is isync.sourceforge.net. As of today
there is no new upstream version there yet.

-- 
see shy jo
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#180050; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Nicolas Boullis <nboullis@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 180050@bugs.debian.org (full text, mbox):

From: Nicolas Boullis <nboullis@debian.org>
To: Joey Hess <joeyh@debian.org>, 180050@bugs.debian.org
Subject: Re: Bug#180050: O: isync -- synchronize a local maildir with a remote IMAP4 mailbox
Date: Wed, 26 Mar 2003 14:59:42 +0100
Hi Joey!

I might be interrested to take over isync, since I use it.
But as you prefer to use offlineimap rather than isync, I wonder how
both compare. As you have use both, could you tell me how they compare?
And do you know how both compare with mailsync?

One feature I like in insync is the ability to limit the number of
synchronized messages to a given number, and it seems that this feature
is not available in mailsync/offlineimap.


Regards,

Nicolas



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#180050; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 180050@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 180050@bugs.debian.org
Subject: FWD: Mail delivery failed: returning message to sender
Date: Fri, 18 Apr 2003 12:08:32 -0400
[Message part 1 (text/plain, inline)]
And again (sigh).

----- Forwarded message from Mail Delivery System <Mailer-Daemon@gluck.debian.org> -----

From: Mail Delivery System <Mailer-Daemon@gluck.debian.org>
Date: Fri, 18 Apr 2003 08:09:12 -0600
To: joey@kitenet.net
Subject: Mail delivery failed: returning message to sender
X-Spam-Status: No, hits=-12.1 required=5.0
	tests=AWL,BAYES_20,EMAIL_ATTRIBUTION,MAILER_DAEMON,
	      QUOTED_EMAIL_TEXT,SIGNATURE_LONG_SPARSE
	autolearn=ham version=2.53

This message was created automatically by mail delivery software (Exim).

A message that you sent could not be delivered to one or more of its
recipients. This is a permanent error. The following address(es) failed:

  180050@bugs.debian.org
    SMTP error from remote mailer after end of data:
    host master.debian.org [65.125.64.135]: 451 rejected:
    can't currently verify any sender in the header lines (envelope sender is <joey@kitenet.net>) - try later:
    retry timeout exceeded

------ This is a copy of the message, including all the headers. ------

Return-path: <joey@kitenet.net>
Received: from client132.fre.communitycolo.net (kitenet.net) [64.62.161.42] (postfix)
	by gluck.debian.org with esmtp (Exim 3.35 1 (Debian))
	id 1950QU-00053Y-00; Mon, 14 Apr 2003 03:38:58 -0600
Received: by kitenet.net (Postfix, from userid 500)
	id C4960AA5C1; Sat,  5 Apr 2003 21:19:29 +0000 (GMT)
Date: Sat, 5 Apr 2003 21:19:29 +0000
From: Joey Hess <joeyh@debian.org>
To: nboullis@debian.org, 180050@bugs.debian.org
Subject: FWD: Undelivered Mail Returned to Sender
Message-ID: <20030405211929.GA11165@kitenet.net>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.5.4i

My reply (see below) was delayed for a while because of suckiness in
master.debian.org's mail config.

----- Forwarded message from Mail Delivery System <MAILER-DAEMON@kitenet.net> -----

From: Mail Delivery System <MAILER-DAEMON@kitenet.net>
Date: Sat,  5 Apr 2003 21:16:02 +0000 (GMT)
To: joey@kitenet.net
Subject: Undelivered Mail Returned to Sender
X-Spam-Status: No, hits=-7.2 required=5.0
	tests=AWL,EMAIL_ATTRIBUTION,PGP_SIGNATURE,QUOTED_EMAIL_TEXT
	version=2.53

Content-Description: Notification
This is the Postfix program at host kitenet.net.

I'm sorry to have to inform you that the message returned
below could not be delivered to one or more destinations.

For further assistance, please send mail to <postmaster>

If you do so, please include this problem report. You can
delete your own text from the message returned below.

			The Postfix program

<nboullis@debian.org>: host master.debian.org[65.125.64.135] said: 451
    rejected: can't currently verify any sender in the header lines (envelope
    sender is <joey@kitenet.net>) - try later (in reply to end of DATA command)

<180050@bugs.debian.org>: host master.debian.org[65.125.64.135] said: 451
    rejected: can't currently verify any sender in the header lines (envelope
    sender is <joey@kitenet.net>) - try later (in reply to end of DATA command)

Content-Description: Delivery error report
Reporting-MTA: dns; kitenet.net
Arrival-Date: Wed, 26 Mar 2003 21:10:39 +0000 (GMT)

Final-Recipient: rfc822; nboullis@debian.org
Action: failed
Status: 4.0.0
Diagnostic-Code: X-Postfix; host master.debian.org[65.125.64.135] said: 451
    rejected: can't currently verify any sender in the header lines (envelope
    sender is <joey@kitenet.net>) - try later (in reply to end of DATA command)

Final-Recipient: rfc822; 180050@bugs.debian.org
Action: failed
Status: 4.0.0
Diagnostic-Code: X-Postfix; host master.debian.org[65.125.64.135] said: 451
    rejected: can't currently verify any sender in the header lines (envelope
    sender is <joey@kitenet.net>) - try later (in reply to end of DATA command)

Content-Description: Undelivered Message
From: Joey Hess <joeyh@debian.org>
Date: Wed, 26 Mar 2003 09:41:27 -0800
To: Nicolas Boullis <nboullis@debian.org>
Cc: 180050@bugs.debian.org
Subject: Re: Bug#180050: O: isync -- synchronize a local maildir with a remote IMAP4 mailbox

Nicolas Boullis wrote:
> I might be interrested to take over isync, since I use it.
> But as you prefer to use offlineimap rather than isync, I wonder how
> both compare. As you have use both, could you tell me how they compare?
> And do you know how both compare with mailsync?
> 
> One feature I like in insync is the ability to limit the number of
> synchronized messages to a given number, and it seems that this feature
> is not available in mailsync/offlineimap.

I forget all the reasons I switched to offlineimap (it's been a while),
but it seemed like an easier to configure, more powerful, and faster
agent to me. Some of the features I like are concurrent syncs, and multiple
UI's, and storing the password in a separate file (without nasty hacks),
and working out what folders are on the server, instead of having the
list them all. The new upstream version of isync I packaged before
dropping it was also unfortunatly a bit buggy.

mailsync doesn't really compare; it didn't do flag synchronization at
all last time I looked at it. It is much more flexible about the formats
it can sync though.

-- 
see shy jo




----- End forwarded message -----
-- 
see shy jo


----- End forwarded message -----
-- 
see shy jo
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#180050; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #20 received at 180050@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Joey Hess <joeyh@debian.org>
Cc: 180050@bugs.debian.org, Nicolas Boullis <nboullis@debian.org>
Subject: isync
Date: Sat, 11 Oct 2003 16:36:58 +1000
I think isync should be removed.  It is in non-US, although it should
be in main, has been orphaned since Feburary and it's not even the
last version.  I don't know if Nicolas is going to adopt it, you
expressed interest in March but never did?

Joey, what do you think?  I suppose you haven't tried isync recently?
-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#180050; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #25 received at 180050@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 180050@bugs.debian.org, Nicolas Boullis <nboullis@debian.org>
Subject: Re: isync
Date: Sat, 11 Oct 2003 11:43:35 -0400
[Message part 1 (text/plain, inline)]
Martin Michlmayr wrote:
> I think isync should be removed.  It is in non-US, although it should
> be in main, has been orphaned since Feburary and it's not even the
> last version.  I don't know if Nicolas is going to adopt it, you
> expressed interest in March but never did?
> 
> Joey, what do you think?  I suppose you haven't tried isync recently?

Not in some time, but I did maintain it breifly, and it's an ok peice of
software, but one that does the same job as offlineimap with near 100%
overlap. I think it'd be ok to remove it if there is no interested
maintainer.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#180050; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Nicolas Boullis <nboullis@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #30 received at 180050@bugs.debian.org (full text, mbox):

From: Nicolas Boullis <nboullis@debian.org>
To: Joey Hess <joeyh@debian.org>
Cc: Martin Michlmayr <tbm@cyrius.com>, 180050@bugs.debian.org
Subject: Re: isync
Date: Sat, 11 Oct 2003 18:29:15 +0200
Hi,

On Sat, Oct 11, 2003 at 11:43:35AM -0400, Joey Hess wrote:
> Martin Michlmayr wrote:
> > I think isync should be removed.  It is in non-US, although it should
> > be in main, has been orphaned since Feburary and it's not even the
> > last version.  I don't know if Nicolas is going to adopt it, you
> > expressed interest in March but never did?
> > 
> > Joey, what do you think?  I suppose you haven't tried isync recently?
> 
> Not in some time, but I did maintain it breifly, and it's an ok peice of
> software, but one that does the same job as offlineimap with near 100%
> overlap. I think it'd be ok to remove it if there is no interested
> maintainer.

Well, I'd rather not see isync droped, as it is the only one, AFAIK, 
that is able to limit the number of messages is each mailbox.

Currently, I have only used the version in Woody, but I really should 
try the latest upstream version and eventually adopt it. But I don't 
know if I'll be able to do it on time for Sarge... :-/

Regards,

Nicolas



Changed Bug title. Request was from Nicolas Boullis <nboullis@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Nicolas Boullis <nboullis@debian.org>. Request was from Nicolas Boullis <nboullis@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nicolas Boullis <nboullis@debian.org>:
Bug#180050; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nicolas Boullis <nboullis@debian.org>. Full text and rfc822 format available.

Message #39 received at 180050@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Nicolas Boullis <nboullis@debian.org>
Cc: Joey Hess <joeyh@debian.org>, 180050@bugs.debian.org
Subject: Re: isync
Date: Sun, 12 Oct 2003 13:17:48 +1000
reassign 180050 ftp.debian.org
retitle 180050 Plesae remove isync
thanks

* Nicolas Boullis <nboullis@debian.org> [2003-10-11 18:29]:
> > Not in some time, but I did maintain it breifly, and it's an ok peice of
> > software, but one that does the same job as offlineimap with near 100%
> > overlap. I think it'd be ok to remove it if there is no interested
> > maintainer.
> 
> Well, I'd rather not see isync droped, as it is the only one, AFAIK, 
> that is able to limit the number of messages is each mailbox.
> 
> Currently, I have only used the version in Woody, but I really should 
> try the latest upstream version and eventually adopt it. But I don't 
> know if I'll be able to do it on time for Sarge... :-/

Let's remove it now (it has to be removed from non-US anyway, and
reuploaded to main [if someone wants to]).  The version in Debian also
isn't the newest upstream verion, etc.   If you re-introduce the
package before sarge, fine; if not, fine as well, I suppose.

-- 
Martin Michlmayr
tbm@cyrius.com



Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@debian.org>:
Bug#180050; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Nicolas Boullis <nboullis@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@debian.org>. Full text and rfc822 format available.

Message #48 received at 180050@bugs.debian.org (full text, mbox):

From: Nicolas Boullis <nboullis@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: Joey Hess <joeyh@debian.org>, 180050@bugs.debian.org
Subject: Re: isync
Date: Sun, 12 Oct 2003 16:26:32 +0200
reassign 180050 wnpp
retitle 180050 ITA: isync -- synchronize a local maildir with a remote IMAP4 mailbox
clone 180050 -1
reassign -1 ftp.debian.org
retitle -1 Please remove isync from the non-US archive
thanks

On Sun, Oct 12, 2003 at 01:17:48PM +1000, Martin Michlmayr wrote:
> Let's remove it now (it has to be removed from non-US anyway, and
> reuploaded to main [if someone wants to]).  The version in Debian also
> isn't the newest upstream verion, etc.   If you re-introduce the
> package before sarge, fine; if not, fine as well, I suppose.

I'd rather keep the original bug open as a reminder. So I am reverting 
your change, and cloning the bug to ftp.debian.org.


Regards,

Nicolas



Bug reassigned from package `ftp.debian.org' to `wnpp'. Request was from Nicolas Boullis <nboullis@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Nicolas Boullis <nboullis@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug 180050 cloned as bug 215396. Request was from Nicolas Boullis <nboullis@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nicolas Boullis <nboullis@debian.org>:
Bug#180050; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nicolas Boullis <nboullis@debian.org>. Full text and rfc822 format available.

Message #59 received at 180050@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Nicolas Boullis <nboullis@debian.org>
Cc: Joey Hess <joeyh@debian.org>, 180050@bugs.debian.org
Subject: Re: isync
Date: Mon, 13 Oct 2003 00:41:44 +1000
retitle 180050 ITP: isync -- synchronize a local maildir with a remote IMAP4 mailbox
thanks

* Nicolas Boullis <nboullis@debian.org> [2003-10-12 16:26]:
> I'd rather keep the original bug open as a reminder. So I am reverting 
> your change, and cloning the bug to ftp.debian.org.

Sure, but it should be an ITP.

-- 
Martin Michlmayr
tbm@cyrius.com



Changed Bug title. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Nicolas Boullis <nboullis@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #66 received at 180050-close@bugs.debian.org (full text, mbox):

From: Nicolas Boullis <nboullis@debian.org>
To: 180050-close@bugs.debian.org
Subject: Bug#180050: fixed in isync 0.9.1-1
Date: Sat, 18 Oct 2003 04:28:25 -0400
Source: isync
Source-Version: 0.9.1-1

We believe that the bug you reported is fixed in the latest version of
isync, which is due to be installed in the Debian FTP archive:

isync_0.9.1-1.diff.gz
  to pool/main/i/isync/isync_0.9.1-1.diff.gz
isync_0.9.1-1.dsc
  to pool/main/i/isync/isync_0.9.1-1.dsc
isync_0.9.1-1_i386.deb
  to pool/main/i/isync/isync_0.9.1-1_i386.deb
isync_0.9.1.orig.tar.gz
  to pool/main/i/isync/isync_0.9.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 180050@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nicolas Boullis <nboullis@debian.org> (supplier of updated isync package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 14 Oct 2003 22:02:20 +0200
Source: isync
Binary: isync
Architecture: source i386
Version: 0.9.1-1
Distribution: unstable
Urgency: low
Maintainer: Nicolas Boullis <nboullis@debian.org>
Changed-By: Nicolas Boullis <nboullis@debian.org>
Description: 
 isync      - Synchronize a local maildir with a remote IMAP4 mailbox
Closes: 154216 170388 180050
Changes: 
 isync (0.9.1-1) unstable; urgency=low
 .
   * New maintainer. (Closes: #180050)
   * New upstream release.
     - With the new option -R, isync is now able to create non-existent
       remote mailboxes. (Closes: #170388)
   * Update debian/copyright to match the current copyright:
     - Add Oswald Buddenhagen as copyright owner.
     - Add special exception for OpenSSL.
   * Add support for noopt in $DEB_BUILD_OPTIONS in debian/rules.
   * Switch to po-debconf.
   * Remove sample.isyncrc from debian/docs: no need to have it both as a
     doc and as an example.
   * Move package from section non-US/main (?) to mail. (Closes: #154216)
   * Update versionned build-dependency on debhelper to >= 4.1.16.
   * Bump Standards-Version to 3.6.1. (No change required.)
Files: 
 09dfc0c731f8e7ac0a08c643a677209e 606 mail optional isync_0.9.1-1.dsc
 d3e0dc500c9d20cea3fd1245451e14fd 106953 mail optional isync_0.9.1.orig.tar.gz
 de9481b7d0321bc047f48303317a2f5d 11083 mail optional isync_0.9.1-1.diff.gz
 cd3a3c0f8e4a2c30168a005da4146844 42768 mail optional isync_0.9.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQE/jGoewmyXkG1Pxm8RAnF+AJsFa84hac5GOF1jpo1Aml2G1We7yACfYyne
Xzn/ouzl6PBkFYt4RRyHJ6w=
=Kw/M
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 20:04:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.